Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597346 - Console output does not display correctly inside GNU screen
Console output does not display correctly inside GNU screen
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 13:41 EDT by Jason
Modified: 2010-06-07 15:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 15:25:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 2010-05-28 13:41:15 EDT
Description of problem:
When I either use "xm console" or telnet to a physical serial port and I view the console through a window in GNU screen, the display is mangled and unusable.  If I exit screen and view xm console or telnet, it works fine.

At the beginning of the install, I only see:
"
Welcome to Red Hat Enterprise Linux 6 for x86_64

                    ������ Choose a Language �����
"

Version-Release number of selected component (if applicable):
screen-4.0.3-1.el5_4.1.x86_64
RHEL 5.5 Dom0 when installing RHEL 6.0 Beta 1 DomU

How reproducible:
Every time.

Steps to Reproduce:
1. On RHEL 5.5 Dom0, 
# screen #(no custom .screenrc)
# virt-install -n rhel6test2 -r 1024 --vcpus=1 -f /export/vms/rhel6test2.dsk -s 10 --nonsparse  -l http://admina03/Packages/media/rhel-x86_64-es-6_up0/ --network=bridge:xenbr310


Alternatively:
1. Insert RHEL6 CD on physical system.
2. Connect to the serial console "telnet terminal-server 5024"
  
Actual results:
"
Welcome to Red Hat Enterprise Linux 6 for x86_64

                    ������ Choose a Language �����
"

Expected results:
Full display of text-based user interface.  (Note: the lines outlining the window and OK button display correctly outside of screen, but they don't paste in this text box).
"
Welcome to Red Hat Enterprise Linux 6 for x86_64

                     Choose a Language 
                                                         
                     What language would you like to use 
                     during the installation process?    
                                                         
                          Catalan                ↑       
                          Chinese(Simplified)           
                          Chinese(Traditional)   ▮       
                          Croatian                      
                          Czech                         
                          Danish                        
                          Dutch                         
                          English                ↓       
                                                         
                                                   
                                    OK                 
                                                   
  <Tab>/<Alt-Tab> between elements  | <Space> selects | <F12> next screen
                                                         
                    
              
"
Comment 2 Chris Lumens 2010-05-28 13:48:23 EDT
Have you tried messing with the terminal type in screen?
Comment 3 Jason 2010-05-28 14:08:25 EDT
Hi Chris,

Outside screen:
  TERM=xterm   works
  TERM=screen  works

Inside screen:
  TERM=screen  does not work
  TERM=xterm   does not work
Comment 4 Chris Lumens 2010-06-02 13:11:19 EDT
What about TERM=linux?  That's what anaconda's init sets up and expects.
Comment 5 Jason 2010-06-02 14:27:58 EDT
I tried exporting the TERM as both linux and then vt100 with no different results.  I'll add that I'm using xterm in cygwin.  I tried the same test with Putty, and I get the same results.  It works outside of screen, but not inside of screen.  I imagine some default setting in screen is not passing the graphics characters correctly.
Comment 6 RHEL Product and Program Management 2010-06-07 12:14:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 7 RHEL Product and Program Management 2010-06-07 15:25:25 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.